public class CompoundFeature implements CountedFeature
{
    private char initial;
    private int  length;

    public CompoundFeature( char initial, int length )
    {
        this.initial = initial;
        this.length  = length;
    }

    public boolean hasFeature( String s )
    {
        if ( s == null || s.length() == 0 )
            return false;
        return ( s.charAt(0) == initial &&
                 s.length()  == length  );
    }
}
