import java.io.*;
import java.util.Date;

public class Withdrawal extends Transaction
{
   public Withdrawal( Date date, int value )
   {
      super( date, value );
   }

   public int execute( int balance )
   {
      return balance - value();
   }

   protected String printType()
   {
      return "withdrawal";
   }
}
