import java.util.Enumeration;

public class CompoundFeature implements CountedFeature
{
    private Enumeration tests;

    public CompoundFeature( Enumeration e )
    {
        tests = e;
    }

    public boolean hasFeature( String s )
    {
        while ( tests.hasMoreElements() )
        {
            CountedFeature t = (CountedFeature) tests.nextElement();
            if ( !t.hasFeature( s ) )
                return false;
        }

        return true;
    }
}
