import java.util.Vector;

public class CompoundFeature implements CountedFeature
{
    private Vector tests;

    public CompoundFeature()
    {
        tests = new Vector();
    }

    public void addTest( CountedFeature t )
    {
        tests.addElement( t );
    }

    public boolean hasFeature( String s )
    {
        for ( int i = 0; i < tests.size(); i++ )
        {
            CountedFeature t = (CountedFeature) tests.elementAt( i );
            if ( !t.hasFeature( s ) )
                return false;
        }

        return true;
    }
}
